Manage the panels of the DesktopCanvas.

Example of usage:

       (window as any).gmfapi.store.panels.openToolPanel('name');
       (window as any).gmfapi.store.panels.openFooterPanel('name');
       (window as any).gmfapi.store.panels.closeToolPanel();
       (window as any).gmfapi.store.panels.closeFooterPanel();

### Hierarchy

- PanelsModel

## Index

### Constructors

- constructor

### Methods

- closeFooterPanel
- closeToolPanel
- getActiveFooterPanel
- getActiveToolPanel
- getFilterActive
- openFooterPanel
- openToolPanel
- setFilterActive

## Constructors

### constructor

- new PanelsModel(): PanelsModel

- #### Returns PanelsModel

## Methods

### closeFooterPanel

- closeFooterPanel(): void

- - Defined in srcapi/store/panels.ts:180

  Close the footer panel.

  #### Returns void

### closeToolPanel

- closeToolPanel(): void

- - Defined in srcapi/store/panels.ts:171

  Close the tool panel.

  #### Returns void

### getActiveFooterPanel

- getActiveFooterPanel(): BehaviorSubject<string>

- - Defined in srcapi/store/panels.ts:106

  #### Returns BehaviorSubject<string>

  the behavior about the active panel in the footer.

### getActiveToolPanel

- getActiveToolPanel(): BehaviorSubject<string>

- - Defined in srcapi/store/panels.ts:99

  #### Returns BehaviorSubject<string>

  the behavior about the active panel in the tool.

### getFilterActive

- getFilterActive(): BehaviorSubject<boolean>

- - Defined in srcapi/store/panels.ts:115

  Experimental.

  #### Returns BehaviorSubject<boolean>

  the behavior about the active filter.

### openFooterPanel

- openFooterPanel(panel: string, options?: OpenPanelOptions): void

- - Defined in srcapi/store/panels.ts:151

  Open a panel, or close if already open

  #### Parameters

  - ##### panel: string

    the panel

  - ##### Optional options: OpenPanelOptions

    the options

  #### Returns void

### openToolPanel

- openToolPanel(panel: string, options?: OpenPanelOptions): void

- - Defined in srcapi/store/panels.ts:125

  Open a panel, or close if already open

  #### Parameters

  - ##### panel: string

    the panel

  - ##### Optional options: OpenPanelOptions

    the options

  #### Returns void

### setFilterActive

- setFilterActive(active: boolean): void

- - Defined in srcapi/store/panels.ts:193

  Set if there is some active filter.

  Experimental.

  #### Parameters

  - ##### active: boolean

    is active.

  #### Returns void

Generated using TypeDoc